### Method

# Foundry Intent get_attribute_value

since: 1.1

#### Declaration [src]

    const GValue*
    foundry_intent_get_attribute_value (
      FoundryIntent* self,
      const char* attribute
    )

#### Description [src]

Gets the attribute value. The returned value is owned by the intent and should not be modified or freed.

Available since: 1.1

#### Parameters

`attribute`

  Type: `const char*`

  The attribute name.

  The data is owned by the caller of the method.
  The value is a NUL terminated UTF-8 string.

#### Return value

Type: `GValue`

The `GValue`, or `NULL` if not found.

The returned data is owned by the instance.